---

- name: ensure acpi tool is installed
  apt:
    pkg: acpi
- name: ensure host is on AC power
  command: acpi -a
  register: _acpi_ac_adapter
  failed_when: '"off-line" in _acpi_ac_adapter.stdout'
  changed_when: false
